commit:     0923aa672c07d6f846312f5bfc06c16434d5d2db
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri May 30 14:33:42 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 30 14:38:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0923aa67

net-analyzer/net-snmp: unrestrict tests, sync live

I suspect this got added because of `eautoconf` (skipping the test
confused by that now) but not sure. Passes for me now, anyway.

It was added by:

commit 01ba51b126378518559db6a0188773d918036753
Author: Diego Elio Pettenò <flameeyes <AT> gentoo.org>
Date:   Sun Aug 19 02:23:59 2012 +0000

    Version bump; remove old. This version closes bug #209667 (disabled 
ucd-snmp compatibility); bug #328177 (lm_sensors 3 is supported by default 
now); #425990 (added GPL-2 to LICENSE);
 should close bug #351051 as well, for the most part; add new init scripts to 
use the new runscript features; restrict tests (tests that might or might not 
fail are useless); build in pa
rallel (upstream fixed it); drop USE flags that added no dependencies.

    (Portage version: 2.2.0_alpha120/cvs/Linux x86_64)

It's very possible that it got fixed substantially since then upstream
though. In any case, all fine now.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/net-snmp/net-snmp-5.9.4-r1.ebuild |  8 +++++++-
 net-analyzer/net-snmp/net-snmp-9999.ebuild     | 11 +++++++++--
 2 files changed, 16 insertions(+), 3 deletions(-)

diff --git a/net-analyzer/net-snmp/net-snmp-5.9.4-r1.ebuild 
b/net-analyzer/net-snmp/net-snmp-5.9.4-r1.ebuild
index 741621409fe0..0125a78a765f 100644
--- a/net-analyzer/net-snmp/net-snmp-5.9.4-r1.ebuild
+++ b/net-analyzer/net-snmp/net-snmp-5.9.4-r1.ebuild
@@ -34,7 +34,6 @@ REQUIRED_USE="
        python? ( ${PYTHON_REQUIRED_USE} )
        rpm? ( bzip2 zlib )
 "
-RESTRICT="test"
 
 COMMON_DEPEND="
        virtual/libcrypt:=
@@ -117,6 +116,9 @@ src_prepare() {
        mv "${WORKDIR}"/patches/0005-Respect-LDFLAGS-properly.patch{,.disabled} 
|| die
        eapply "${WORKDIR}"/patches/*.patch
 
+       # Fails because of our eautoconf call
+       rm testing/fulltests/default/T000configure_simple || die
+
        default
 
        eautoconf
@@ -175,6 +177,10 @@ src_compile() {
        use doc && emake docsdox
 }
 
+src_test() {
+       emake -Onone test
+}
+
 src_install() {
        # bug #317965
        emake -j1 DESTDIR="${D}" install

diff --git a/net-analyzer/net-snmp/net-snmp-9999.ebuild 
b/net-analyzer/net-snmp/net-snmp-9999.ebuild
index 6e33a560b72f..b7691c93b893 100644
--- a/net-analyzer/net-snmp/net-snmp-9999.ebuild
+++ b/net-analyzer/net-snmp/net-snmp-9999.ebuild
@@ -7,7 +7,7 @@ GENTOO_DEPEND_ON_PERL=no
 PYTHON_COMPAT=( python3_{10..13} )
 WANT_AUTOMAKE=none
 
-inherit autotools python-single-r1 perl-module systemd
+inherit autotools python-single-r1 libtool perl-module systemd
 
 DESCRIPTION="Software for generating and retrieving SNMP data"
 HOMEPAGE="https://www.net-snmp.org/";
@@ -34,7 +34,6 @@ REQUIRED_USE="
        python? ( ${PYTHON_REQUIRED_USE} )
        rpm? ( bzip2 zlib )
 "
-RESTRICT="test"
 
 COMMON_DEPEND="
        virtual/libcrypt:=
@@ -111,9 +110,13 @@ src_prepare() {
        mv "${WORKDIR}"/patches/0005-Respect-LDFLAGS-properly.patch{,.disabled} 
|| die
        eapply "${WORKDIR}"/patches/*.patch
 
+       # Fails because of our eautoconf call
+       rm testing/fulltests/default/T000configure_simple || die
+
        default
 
        eautoconf
+       elibtoolize
 }
 
 src_configure() {
@@ -169,6 +172,10 @@ src_compile() {
        use doc && emake docsdox
 }
 
+src_test() {
+       emake -Onone test
+}
+
 src_install() {
        # bug #317965
        emake -j1 DESTDIR="${D}" install

Reply via email to